> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Onchain Address Groups

> Lists all onchain address groups for a given portfolio ID



## OpenAPI

````yaml GET /v1/portfolios/{portfolio_id}/onchain_address_groups
openapi: 3.0.1
info:
  title: REST API
  description: >-
    The Coinbase Prime REST API provides programmatic access to trading,
    custody, staking, market data, and account management functionality.
  version: '0.1'
servers:
  - url: https://api.prime.coinbase.com/
security: []
tags:
  - name: PrimeRESTAPI
paths:
  /v1/portfolios/{portfolio_id}/onchain_address_groups:
    get:
      tags:
        - Onchain Address Book
      summary: List Onchain Address Groups
      description: Lists all onchain address groups for a given portfolio ID
      operationId: PrimeRESTAPI_ListOnchainAddressGroups
      parameters:
        - name: portfolio_id
          in: path
          description: Portfolio ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.public_rest_api.ListOnchainAddressGroupsResponse
components:
  schemas:
    coinbase.public_rest_api.ListOnchainAddressGroupsResponse:
      required:
        - address_groups
      type: object
      properties:
        address_groups:
          type: array
          items:
            $ref: '#/components/schemas/coinbase.public_rest_api.AddressGroup'
    coinbase.public_rest_api.AddressGroup:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        network_type:
          $ref: '#/components/schemas/coinbase.public_rest_api.NetworkType'
        addresses:
          title: A list of addresses within the group
          type: array
          items:
            $ref: '#/components/schemas/coinbase.public_rest_api.AddressEntry'
        added_at:
          type: string
          format: date-time
    coinbase.public_rest_api.NetworkType:
      type: string
      default: NETWORK_TYPE_UNSPECIFIED
      enum:
        - NETWORK_TYPE_UNSPECIFIED
        - NETWORK_TYPE_EVM
        - NETWORK_TYPE_SOLANA
    coinbase.public_rest_api.AddressEntry:
      type: object
      properties:
        name:
          type: string
        address:
          type: string
        chain_ids:
          title: List of compatible chain IDs for a given address, empty for Solana
          type: array
          items:
            type: string

````